@passband/sdk - v0.0.0
    Preparing search index...

    Class PassbandNetworkError

    Thrown when the request never completes or the response cannot be parsed.

    Hierarchy (View Summary)

    Index

    Constructors

    • Parameters

      • options: Omit<PassbandErrorOptions, "status" | "code"> & { code?: string }

      Returns PassbandNetworkError

    Properties

    body?: unknown

    Parsed response body, when available.

    cause?: unknown
    code: string

    Machine-readable error code.

    message: string
    name: string
    requestId?: string

    Request id from the x-request-id response header, when present.

    stack?: string
    status: number

    HTTP status code (0 for network/parse failures).

    stackTraceLimit: number

    The Error.stackTraceLimit property specifies the number of stack frames collected by a stack trace (whether generated by new Error().stack or Error.captureStackTrace(obj)).

    The default value is 10 but may be set to any valid JavaScript number. Changes will affect any stack trace captured after the value has been changed.

    If set to a non-number value, or set to a negative number, stack traces will not capture any frames.

    Methods

    • Creates a .stack property on targetObject, which when accessed returns a string representing the location in the code at which Error.captureStackTrace() was called.

      const myObject = {};
      Error.captureStackTrace(myObject);
      myObject.stack; // Similar to `new Error().stack`

      The first line of the trace will be prefixed with ${myObject.name}: ${myObject.message}.

      The optional constructorOpt argument accepts a function. If given, all frames above constructorOpt, including constructorOpt, will be omitted from the generated stack trace.

      The constructorOpt argument is useful for hiding implementation details of error generation from the user. For instance:

      function a() {
      b();
      }

      function b() {
      c();
      }

      function c() {
      // Create an error without stack trace to avoid calculating the stack trace twice.
      const { stackTraceLimit } = Error;
      Error.stackTraceLimit = 0;
      const error = new Error();
      Error.stackTraceLimit = stackTraceLimit;

      // Capture the stack trace above function b
      Error.captureStackTrace(error, b); // Neither function c, nor b is included in the stack trace
      throw error;
      }

      a();

      Parameters

      • targetObject: object
      • OptionalconstructorOpt: Function

      Returns void